yers for lab
 Simple example program to demonstrate the usage.

### Setting up the **MPI** environment on host para 
 - login to para
 - `module load mpi`

### Compile:
 make 

### Starting the clients from the *client* directory
 ./test.sh – simple version  
 ./mpitest.sh – mpi version  
  
### Starting the graphical server on the local machine:
- download the server
 - server.bat - on **WinX** host
 - ./server.sh on **Unix/Linux** platform

### Creating TCP tunnel
A tcp tunnel sholud be set up between the remote machine (para) and the local host.   
Parameters: 
- The server listens on port number 15623.
- The client uses the unique port number UID+15000, where UID is your user id on host para.
- ./test.sh displays the port number
  
#### Tunnel setup using putty  
    Session->SSH->Tunnels  
    Source port: your unique port number (UID+17000).   
    Destination: localhost:15623  
    X Remote  
    X Ipv4  
    Add  

#### Tunnel setup using ssh
 `ssh -R PORT:localhost:15623 USER@PARA`
- where **PORT** is your unique port number
- **USER** is ypur login name on para cluster
- **PARA** is the full hostname of para cluster

### Files:
#### player.h, player.cpp:
 - Player's basic class. Implementing server communication.

#### main.cpp :
 - Implements a simple burglar and cop players.

#### test.sh :
 - Test script for the simple players version.

#### mpimain.cpp :
 - Simple MPI communication example.
 The silly policeman is moving randomly and shouting to his radio if he sees the robber.
 The others can hear this, but they don't know where the robber is.

#### mptest.sh :
 - Test script for the MPI version. Starts a burglar, and starts the MPI processes.
 


