#!/bin/bash

cleanup() {
    kill -9 $BPID $CPIDS &>/dev/null
}

trap "cleanup" EXIT

if [ ! -x main ]; then 
   echo "*** main does not exist or not executable ***"
   exit 1
fi

# Computes the unique port number for communication
if [ x$PORT = x ]; then 
   let PORT=15000+`id -u`
fi

echo ""
echo "PORT: $PORT  Use this as remote port in the tunnel configuration."
echo ""

PORT=$PORT
HOST=localhost
COPS=5	# The number of cops

echo "The burglar appeared at the bank and robbed it."
./main $HOST $PORT burglar &>burglar.log &
BPID=$!
echo "The burglar began to escape."
sleep 5

echo "The policemen are going to the scene ..."
for i in `seq 1 $COPS`
do
	./main $HOST $PORT cop &>cop.$i.log &
	echo "Cop #$i started to chase ..."
	CPIDS="$CPIDS $!"
	sleep 1
done

echo "No more cops are comming."
sleep 30
echo "The burglar has been catched or time is ower."
